NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.Tooling.CornerDesignBuilder Class Reference

Represents a NXOpen.Tooling.CornerDesignBuilder , Corner Design is to provide tools to make corner. More...

Inheritance diagram for NXOpen.Tooling.CornerDesignBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  CornerTypeOpt { Chamfer, Fillet, Mickey, BunnyEar }
 the corner types More...
 
enum  SelectFromOpt { Both, PartBody, PocketBody }
 the object selection options. More...
 
enum  Types { Create, Edit, Delete }
 The corner design type. More...
 

Properties

unsafe NXOpen.Expression ChamferAngle [get]
 Returns the chamfer angle. More...
 
unsafe
NXOpen.Tooling.CornerDesignBuilder.CornerTypeOpt 
CornerType [get, set]
 Returns or sets the corner type More...
 
unsafe NXOpen.Direction FirstVectorForBunnyEar [get, set]
 Returns or sets the first vector for bunny ear More...
 
unsafe NXOpen.Expression Offset [get]
 Returns the offset. More...
 
unsafe NXOpen.Expression RadiusDia [get]
 Returns the corner radius. More...
 
unsafe NXOpen.Direction SecondVectorForBunnyEar [get, set]
 Returns or sets the second vector for bunny ear More...
 
unsafe
NXOpen.Features.SelectFeatureList 
SelectCorner [get]
 Returns the selected corner. More...
 
unsafe NXOpen.SelectEdgeList SelectEdge [get]
 Returns the selected edge. More...
 
unsafe
NXOpen.Tooling.CornerDesignBuilder.SelectFromOpt 
SelectFrom [get, set]
 Returns or sets the selection options. More...
 
unsafe
NXOpen.Tooling.CornerDesignBuilder.Types 
Type [get, set]
 Returns or sets the operation type of corner design. More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Tooling.CornerDesignBuilder , Corner Design is to provide tools to make corner.

To create a new instance of this class, use NXOpen.Tooling.CornerDesignCollection.CreateCornerDesignBuilder

Default values.

Property Value

ChamferAngle.Value

45

CornerType

Chamfer

Offset.Value

1 (millimeters part), 0.1 (inches part)

RadiusDia.Value

5 (millimeters part), 0.5 (inches part)

SelectFrom

Both

Created in NX8.0.0

Member Enumeration Documentation

the corner types

Enumerator
Chamfer 

chamfer

Fillet 

fillet

Mickey 

mickey

BunnyEar 

the object selection options.

Enumerator
Both 

both part body and pocket body

PartBody 

part body only

PocketBody 

pocket body only

The corner design type.

Enumerator
Create 

Create operation

Edit 

Edit operation

Delete 

Delete operation

Property Documentation

unsafe NXOpen.Expression NXOpen.Tooling.CornerDesignBuilder.ChamferAngle
get

Returns the chamfer angle.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Tooling.CornerDesignBuilder.CornerTypeOpt NXOpen.Tooling.CornerDesignBuilder.CornerType
getset

Returns or sets the corner type

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Direction NXOpen.Tooling.CornerDesignBuilder.FirstVectorForBunnyEar
getset

Returns or sets the first vector for bunny ear

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Expression NXOpen.Tooling.CornerDesignBuilder.Offset
get

Returns the offset.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Tooling.CornerDesignBuilder.RadiusDia
get

Returns the corner radius.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Direction NXOpen.Tooling.CornerDesignBuilder.SecondVectorForBunnyEar
getset

Returns or sets the second vector for bunny ear

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Features.SelectFeatureList NXOpen.Tooling.CornerDesignBuilder.SelectCorner
get

Returns the selected corner.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.SelectEdgeList NXOpen.Tooling.CornerDesignBuilder.SelectEdge
get

Returns the selected edge.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Tooling.CornerDesignBuilder.SelectFromOpt NXOpen.Tooling.CornerDesignBuilder.SelectFrom
getset

Returns or sets the selection options.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Tooling.CornerDesignBuilder.Types NXOpen.Tooling.CornerDesignBuilder.Type
getset

Returns or sets the operation type of corner design.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.